%define pkgname server-utils
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 X server utilities
Name: 		xorg-x11-%{pkgname}
Version: 	7.3
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:  	http://xorg.freedesktop.org/releases/individual/app/iceauth-1.0.2.tar.bz2
Source2:  	http://xorg.freedesktop.org/releases/individual/app/rgb-1.0.1.tar.bz2
Source3:  	http://xorg.freedesktop.org/releases/individual/app/sessreg-1.0.3.tar.bz2
Source4:  	http://xorg.freedesktop.org/releases/individual/app/xcmsdb-1.0.1.tar.bz2
Source5:  	http://xorg.freedesktop.org/releases/individual/app/xgamma-1.0.2.tar.bz2
Source6:  	http://xorg.freedesktop.org/releases/individual/app/xhost-1.0.2.tar.bz2
Source7:  	http://xorg.freedesktop.org/releases/individual/app/xmodmap-1.0.3.tar.bz2
Source8:  	http://xorg.freedesktop.org/releases/individual/app/xrandr-1.2.2.tar.bz2
Source9:  	http://xorg.freedesktop.org/releases/individual/app/xrdb-1.0.4.tar.bz2
Source10: 	http://xorg.freedesktop.org/releases/individual/app/xrefresh-1.0.2.tar.bz2
Source11: 	http://xorg.freedesktop.org/releases/individual/app/xset-1.0.2.tar.bz2
Source12: 	http://xorg.freedesktop.org/releases/individual/app/xsetmode-1.0.0.tar.bz2
Source13: 	http://xorg.freedesktop.org/releases/individual/app/xsetpointer-1.0.1.tar.bz2
Source14: 	http://xorg.freedesktop.org/releases/individual/app/xsetroot-1.0.2.tar.bz2
Source15: 	http://xorg.freedesktop.org/releases/individual/app/xstdcmap-1.0.1.tar.bz2
Source16: 	http://xorg.freedesktop.org/releases/individual/app/xtrap-1.0.2.tar.bz2
Source17: 	http://xorg.freedesktop.org/releases/individual/app/xvidtune-1.0.1.tar.bz2
# NOTE: Each upstream tarball has its own "PatchN" section, taken from
# multiplying the "SourceN" line times 100.  Please keep them in this
# order.  Also, please keep each patch specific to a single upstream tarball,
# so that they don't have to be split in half when submitting upstream.
#
# iceauth section
#Patch0: 

# rgb section
Patch1100: rgb-1.0.0-datadir-rgbpath-fix.patch
# xset section
Patch1200: xset-1.0.2-spurious-xprint.patch
# xvidtune section
#Patch1700: xvidtune-0.99.1-datadir-app-defaults-fix.patch

# FIXME: Temporary build dep on automake, autoconf while they're still used
# in the specfile.
BuildRequires: autoconf, automake

BuildRequires: pkg-config
# xsetroot requires xbitmaps-devel
BuildRequires: xbitmaps-devel
# xsetroot requires libX11-devel
BuildRequires: libX11-devel
# xsetroot requires libXmu-devel
BuildRequires: libXmu-devel
# xtrap requires libXTrap-devel
BuildRequires: libXTrap-devel
# NOTE: All of the following were added for bug #191987
BuildRequires: xorg-x11-xtrans-devel libXext-devel
BuildRequires: xorg-x11-util-macros libXxf86vm-devel libXrandr-devel
BuildRequires: libXrender-devel libXi-devel libXt-devel libXaw-devel
BuildRequires: libXpm-devel libXxf86misc-devel libXfontcache-devel
BuildRequires: libXp-devel zlib-devel
# ENDNOTE

# xrdb requires the C preprocessor to work properly
#Requires: cpp

Provides: iceauth rgb sessreg xcmsdb xgamma xhost
Provides: xmodmap xrandr xrdb xrefresh xset xsetmode xsetpointer
Provides: xsetroot xstdcmap xtrap xvidtune

# NOTE: iceauth, rgb, sessreg, xcmsdb, xgamma, xhost, xmodmap,
# xrandr, xrdb, xrefresh, xset, xsetmode, xsetpointer, xsetroot, xstdcmap,
# xtrap, xvidtune, were all in xorg-x11 and XFree86 packages, so we obsolete
# them to ensure upgrades work.
Obsoletes: xorg

%description
A collection of utilities used to tweak and query the runtime configuration
of the X server.

%prep
%setup -q -c %{name}-%{version} -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17

%patch1100 -p0 -b .datadir-rgbpath-fix
%patch1200 -p0 -b .xprint
#%patch1700 -p0 -b .datadir-app-defaults-fix

%build

# Build all apps
{
   for app in * ; do
      pushd $app
      echo "******************** $app"

      case $app in
         rgb-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure ;# --with-rgb-db=%{_datadir}/X11
            ;;
	 xset-*)
	    # FIXME: run autotools junk to kick in our patch
	    aclocal --force
	    automake -f
	    autoconf
	    %configure
	    ;;
         xvidtune-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure
            ;;
         *)
            %configure
            ;;
      esac

      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      case $app in
         *)
            make install DESTDIR=$RPM_BUILD_ROOT
            ;;
      esac
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/iceauth
%{_bindir}/sessreg
%{_bindir}/showrgb
%{_bindir}/xcmsdb
%{_bindir}/xgamma
%{_bindir}/xhost
%{_bindir}/xmodmap
%{_bindir}/xrandr
%{_bindir}/xrdb
%{_bindir}/xrefresh
%{_bindir}/xset
%{_bindir}/xsetmode
%{_bindir}/xsetpointer
%{_bindir}/xsetroot
%{_bindir}/xstdcmap
%{_bindir}/xtrapchar
%{_bindir}/xtrapin
%{_bindir}/xtrapinfo
%{_bindir}/xtrapout
%{_bindir}/xtrapproto
%{_bindir}/xtrapreset
%{_bindir}/xtrapstats
%{_bindir}/xvidtune
%dir %{_datadir}/X11
%{_datadir}/X11/rgb.txt
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xvidtune
#%dir %{_mandir}/man1x
%{_mandir}/man1

%changelog
* Wed Jul 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version update
- 
* Wed Jul 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.2-1
- Version update
- xrandr 1.2.2
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
